import { post, upload } from "@/request/axios.js";

export const getVideoCoursewareList = (params) =>
  post("/videocourseware/list", params); // 视频课件维护-获取课件列表

export const editVideoCoursewareState = (params) =>
  post("/videocourseware/editState", params); // 视频课件维护-启用/禁用

export const deleteVideoCourseware = (params) =>
  post("/videocourseware/delete", params); // 视频课件维护-删除

export const getDataCoursewareList = (params) =>
  post("/datacourseware/list", params); // 视频课件维护-获取课件列表

export const editDataCoursewareState = (params) =>
  post("/datacourseware/editState", params); // 视频课件维护-启用/禁用

export const deleteDataCourseware = (params) =>
  post("/datacourseware/delete", params); // 视频课件维护-删除

export const getQuestionListByCoursewareIdAndType = (params) =>
  post("/question/list", params); // 课件管理-视频/资料课件维护-获取课件习题列表

export const deleteQuestion = (params) => post("/question/delete", params); // 课件管理-视频/资料课件维护-删除课件习题

export const deleteQuestionBatch = (params) =>
  post("/question/deleteAll", params); // 课件管理-视频/资料课件维护-批量删除课件习题

export const importQuestion = (params) => upload("/question/readExcel", params); // 课件管理-视频/资料课件维护-导入课件习题

export const addQuestion = (params) => upload("/question/add", params); // 课件管理-视频/资料课件维护-新增课件习题

export const editQuestion = (params) => upload("/question/edit", params); // 课件管理-视频/资料课件维护-修改课件习题
